﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

screen image_cutscene(ifilename):
    zorder 150
    frame:
        xfill True
        yfill True
        background ifilename

define bai = Character("AI")

define ai = Character(_("AI"), color="#0fabff", kind=nvl)

define br = Character("Rules")

define bro = Character("")

define x = Character(_(""), color="#fa2379", kind=nvl)

define r = Character(_("Rules"), color="#aaaaaa", kind=nvl)

define slowdissolve = Dissolve(1.0)

define menu = nvl_menu


# The game starts here.

label start:

    if persistent.death:
        scene ending death
        "Humanity is already extinct. There's nothing more you can do. You're dead."
        return

    r "Welcome!"

    # jump pongbot

    nvl clear

    jump premise
    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.



    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.



    # These display lines of dialogue.

    e "You've created a new Ren'Py game."

    e "Once you add a story, pictures, and music, you can release it to the world!"

    # This ends the game.

    return
